package com.liquidnet.service.goblin.service.manage;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.goblin.dto.manage.GoblinStoreZhengzaiCommonParam;
import com.liquidnet.service.goblin.dto.vo.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.util.List;

public interface IGoblinInnerService {

    ResponseDto<String> insertCoupon(MultipartFile file, String performanceId);

    ResponseDto<ArDataVo> getArData(String tag, String performanceId);

    ResponseDto<TempCouponVo> getTempCouponData(String ucouponId);
}
